<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong> := <a href="NUMERIC.html"><font color="#008000">NUMERIC</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>     :=<font color="#BC8F8F">"Generic number."</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> := 
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>

  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Features</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">one</font></strong>:<font color="#008000">SELF</font>  <-  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Neutral element for `*' and `/'.</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">zero</font></strong>:<font color="#008000">SELF</font> <-  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Neutral element for `+' and `-'.</font></strong></em>

  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Functions</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> </B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">in_range</font></strong> low:<font color="#008000">SELF</font> <strong><font color="#0000FF">to</font></strong> up:<font color="#008000">SELF</font> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">sign</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Sign of Current (0 -1 or 1).</font></strong></em>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> binary operator :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">-</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">80</font>  other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">*</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">/</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <-  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  ? {other/=0}</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">+</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">80</font>  other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Unary operator</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">+</font>' :<font color="#008000">SELF</font> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">-</font>' :<font color="#008000">SELF</font> <- 

  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Compatibility Binary operator</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">-#</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">80</font>  other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">SELF</font>    <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">*#</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">SELF</font>    <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">/#</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">SELF</font>    <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">+#</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">80</font>  other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">SELF</font>    <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">>#</font>'  <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">60</font> other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B"><#</font>'  <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">60</font> other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B"><=#</font>' <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">60</font> other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">>=#</font>' <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">60</font> other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 

  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Test binary operator :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">==</font>'  <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">60</font> other:<font color="#008000">SELF</font> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">!==</font>' <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">60</font> other:<font color="#008000">SELF</font> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">></font>'   <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">60</font> other:<font color="#008000">SELF</font> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B"><</font>'   <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">60</font> other:<font color="#008000">SELF</font> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B"><=</font>'  <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">60</font> other:<font color="#008000">SELF</font> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">>=</font>'  <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">60</font> other:<font color="#008000">SELF</font> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Switch case :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">when</font></strong> value:<font color="#008000">SELF</font> <strong><font color="#0000FF">then</font></strong> block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">when</font></strong> value1:<font color="#008000">SELF</font> <strong><font color="#0000FF">or</font></strong> value2:<font color="#008000">SELF</font> <strong><font color="#0000FF">then</font></strong> block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">when</font></strong> first_value:<font color="#008000">SELF</font> <strong><font color="#0000FF">to</font></strong> last_value:<font color="#008000">SELF</font> <strong><font color="#0000FF">then</font></strong> block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> :<font color="#008000">SELF</font> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Looping.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to</font></strong> limit_up:<font color="#008000">SELF</font> <strong><font color="#0000FF">do</font></strong> blc:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">downto</font></strong> limit_down:<font color="#008000">SELF</font> <strong><font color="#0000FF">do</font></strong> blc:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to</font></strong> limit_up:<font color="#008000">SELF</font> <strong><font color="#0000FF">by</font></strong> step:<font color="#008000">SELF</font> <strong><font color="#0000FF">do</font></strong> blc:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">downto</font></strong> limit_down:<font color="#008000">SELF</font> <strong><font color="#0000FF">by</font></strong> step:<font color="#008000">SELF</font> <strong><font color="#0000FF">do</font></strong> blc:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Function :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">abs</font></strong>:<font color="#008000">SELF</font> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Absolute value of `self'.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">min</font></strong> other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">max</font></strong> other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Conversion for other type.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_string</font></strong>:<a href="STRING.html"><font color="#008000">STRING</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Convert the decimal view of `self' into a new allocated STRING.</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  For example, if `self' is -1 the new STRING is -1.</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Note: see also `append_in' to save memory.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_boolean</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append_in</font></strong> buffer:<a href="STRING.html"><font color="#008000">STRING</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Append in the `buffer' the equivalent of `to_string'. No new STRING</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  creation during the process.</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_string_format</font></strong> s:<font color="#008000">SELF</font> :<a href="STRING.html"><font color="#008000">STRING</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Same as `to_string' but the result is on `s' character and the</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  number is right aligned.</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Note: see `append_in_format' to save memory.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append_in</font></strong> str:<a href="STRING.html"><font color="#008000">STRING</font></a> <strong><font color="#0000FF">format</font></strong> s:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Append the equivalent of `to_string_format' at the end of</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  `str'. Thus you can save memory because no other</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  STRING is allocate for the job.</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append_in</font></strong> str:<a href="STRING.html"><font color="#008000">STRING</font></a> <strong><font color="#0000FF">format</font></strong> s:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">with</font></strong> char:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Append the equivalent of `to_string_format' at the end of</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  `str'. Thus you can save memory because no other</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  STRING is allocate for the job.</font></strong></em>
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Print</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print_format</font></strong> s:<font color="#008000">SELF</font> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print_format</font></strong> s:<font color="#008000">SELF</font> <strong><font color="#0000FF">with</font></strong> c:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a> <-
      
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Conversions with tests</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">bound_test</font></strong> low:<a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a> <strong><font color="#0000FF">to</font></strong> up:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
      
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> - To unsigned integers</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_uinteger_8</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>     <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_uinteger_16</font></strong>:<a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a>   <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_uinteger_32</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>   <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_uinteger_64</font></strong>:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a>   <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_uinteger_big</font></strong>:<a href="UINTEGER_BIG.html"><font color="#008000">UINTEGER_BIG</font></a> <- 
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> - To signed integers</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_integer</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-   
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_integer_8</font></strong>:<a href="INTEGER_8.html"><font color="#008000">INTEGER_8</font></a>   <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_integer_16</font></strong>:<a href="INTEGER_16.html"><font color="#008000">INTEGER_16</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_integer_32</font></strong>:<a href="INTEGER_32.html"><font color="#008000">INTEGER_32</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_integer_64</font></strong>:<a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp [ -? {bound_test (INTEGER_64.minimum) to (INTEGER_64.maximum)}; ]</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_integer_big</font></strong>:<a href="UINTEGER_BIG.html"><font color="#008000">UINTEGER_BIG</font></a> <- 
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> - To unsigned fixed reals</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_ureal_16_16</font></strong>:<a href="UREAL_16_16.html"><font color="#008000">UREAL_16_16</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_ureal_24_8</font></strong>:<a href="UREAL_24_8.html"><font color="#008000">UREAL_24_8</font></a>   <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_ureal_26_6</font></strong>:<a href="UREAL_26_6.html"><font color="#008000">UREAL_26_6</font></a>   <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> - To signed fixed reals</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_real_16_16</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_real_24_8</font></strong>:<a href="REAL_24_8.html"><font color="#008000">REAL_24_8</font></a>   <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_real_26_6</font></strong>:<a href="REAL_26_6.html"><font color="#008000">REAL_26_6</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> - To float reals</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_real</font></strong>:<a href="REAL.html"><font color="#008000">REAL</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_real_32</font></strong>:<a href="REAL_32.html"><font color="#008000">REAL_32</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_real_64</font></strong>:<a href="REAL_64.html"><font color="#008000">REAL_64</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_real_80</font></strong>:<a href="REAL_80.html"><font color="#008000">REAL_80</font></a> <-
    

<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Convertion format without test.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_integer</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>         <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_uinteger_8</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a>   <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_uinteger_16</font></strong>:<a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_uinteger_32</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_uinteger_64</font></strong>:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_integer_8</font></strong>:<a href="INTEGER_8.html"><font color="#008000">INTEGER_8</font></a>     <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_integer_16</font></strong>:<a href="INTEGER_16.html"><font color="#008000">INTEGER_16</font></a>   <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_integer_32</font></strong>:<a href="INTEGER_32.html"><font color="#008000">INTEGER_32</font></a>   <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_integer_64</font></strong>:<a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a>   <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_real</font></strong>:<a href="REAL.html"><font color="#008000">REAL</font></a>               <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_ureal_16_16</font></strong>:<a href="UREAL_16_16.html"><font color="#008000">UREAL_16_16</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_ureal_24_8</font></strong>:<a href="UREAL_24_8.html"><font color="#008000">UREAL_24_8</font></a>   <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_ureal_26_6</font></strong>:<a href="UREAL_26_6.html"><font color="#008000">UREAL_26_6</font></a>   <-  

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_real_16_16</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>   <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_real_24_8</font></strong>:<a href="REAL_24_8.html"><font color="#008000">REAL_24_8</font></a>     <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_real_26_6</font></strong>:<a href="REAL_26_6.html"><font color="#008000">REAL_26_6</font></a>     <-  

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_real_32</font></strong>:<a href="REAL_32.html"><font color="#008000">REAL_32</font></a>         <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_real_64</font></strong>:<a href="REAL_64.html"><font color="#008000">REAL_64</font></a>         <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_raw_real_80</font></strong>:<a href="REAL_80.html"><font color="#008000">REAL_80</font></a>         <- 

</body>
</html>

